GENERIC(1)

NAME
mkiraf - Setup the IRAF environment for a user

SYNOPSIS
mkiraf [-d|--default] [-i|--init] [-n|--noinit] [-c|--copy] [-q|--quiet]

DESCRIPTION
Creates the parameter directory, image directory and cache directory for the use with IRAF CL, and optionally create a local copy of the IRAF CL startup file login.cl.

Within IRAF CL, these directory have the names uparm$, imdir$, and cache$.

Without the -d|--default flag, the parameter directory uparm is created in the local directory, triggering a parameter storage locally. If no local parameter directory exists, a general user specific parameter storage in ${HOME}/.iraf/uparm is used. The image directory imdir and the cache directory cache are always created in ${HOME}/.iraf/.

OPTIONS

-d, --default
    Create the upar file in the user specific directory ${HOME}/.iraf instead of the local directory.

-i, --init
    Initialize an empty uparm directory, removing old parameter settings. If neither the -i|--init nor the -n|--noinit is given, the command asks whether the upar directory should be initialized.

-n, --noinit
    Do not nitialize the uparm directory if it exists, keeping old parameter settings. If neither the -i|--init nor the -n|--noinit is given, the command asks whether the upar directory should be initialized.

-c, --copy
    Create a copy of the login.cl file in the local directory, or (if the -d|--default flag was given), in the directory ${HOME}/.iraf. These copies are only needed if local changes shall be applied.

-q, --quiet
    Suppress output messages

BUGS
IRAF should use XDG conform user directories in ${HOME}/.cache, ${HOME}/.local and ${HOME}/.config.

SEE ALSO
ecl(1),

AUTHOR
Created by Ole Streicher for the IRAF community